import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;
import java.util.Locale;

import java.sql.*;

public class Example29 extends JFrame  implements ActionListener {
    
    Graph graph;
    BarSerie bs1,bs2;
    
    public Example29() {
	
        graph=new Graph();
	
	// Sets the MySql JDBC driver.
        graph.setDriver("org.gjt.mm.mysql.Driver");
	
        // We are supposing that the MySql database name is 'chartdb' and the user
        // is authenticated using the name 'user' and password 'password'.
	// A table named 'chart' will be queried to get labels and values, and the
	// table structure is the following:
	// ====================================
	// Field name     |     Field type
	// ====================================
	// labels         |  varchar(20)
	// values1        |  float
	// values2        |  float
	// ====================================
	
        graph.setConnection("jdbc:mysql://localhost:3306/chartdb","user","password");
	
	graph.setTitle(new String[]{"The JetChart Library","Reading data from a database"});
	graph.setTitleForeground(Color.white);
	
	graph.set3DEnabled(true);
	graph.set3DSeriesInLineEnabled(false);
	
	graph.setGradientColors(Color.blue,Color.white);
	
        bs1=new BarSerie();
        bs1.setTitle("Bar series 1");
        bs1.setColor(new Color(00,99,00));

	bs2=new BarSerie();
	bs2.setTitle("Bar series2");
	bs2.setColor(Color.yellow);

        Grid grid=graph.getGraphSet(0).getGrid();
        grid.setEnabled(true);
        grid.setThickness(2);

        graph.addSerie(bs1);
	graph.addSerie(bs2);
	
	JPanel topPanel=new JPanel(new FlowLayout(FlowLayout.LEFT));
	JButton button=new JButton("Query database");
	button.addActionListener(this);
	topPanel.add(button);
	
	Container ct=getContentPane();
        ct.add(graph);
	
	ct.add("North",topPanel);
	
        setSize(500,400);
        setVisible(true);
    }
    
    public void actionPerformed(ActionEvent evt) {
	
	graph.setLabelsQuery("SELECT labels FROM chart");
	
	bs1.setValuesQuery("SELECT values1 FROM chart");
	bs2.setValuesQuery("SELECT values2 FROM chart");
	
	graph.refresh();
	
    }
    
    public static void main(String[] args) {
	new Example29();
    }
    
}


